For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList workspace user roles
      • DELRemove a user from a given workspace
      • PATCHUpdate user roles for the given workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWorkspace Permissions

Update user roles for the given workspace

PATCH
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/users/:user_id
PATCH
/v4/accounts/:account_id/workspaces/:workspace_id/users/:user_id
1from frameio import Frameio, UpdateUserRolesParamsData
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.workspace_permissions.workspace_user_roles_update(
8 account_id="de015323-1c1e-4a81-8b06-3b4d717ee656",
9 workspace_id="687f266b-44b4-4f07-9d94-3ac014fed87c",
10 user_id="c235ea62-ae51-476f-a2d4-7bb8f9a29118",
11 data=UpdateUserRolesParamsData(
12 role="editor",
13 ),
14)
1{
2 "data": {
3 "role": "editor"
4 }
5}

Update user roles for the given workspace if the user is already added to the workspace. If the user is not added to the workspace, the user will be added with the given role.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Create workspace

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
workspace_idstringRequiredformat: "uuid"
A UUID String
user_idstringRequiredformat: "uuid"
A UUID String

Request

Update user roles params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error